import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { CnDeployLog } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-10-25 17:43
 */
interface CnDeployLogCU extends ConditionUtil<CnDeployLogCU> {
    ID: FieldUtil<CnDeployLogCU>;
    K8S_ID: FieldUtil<CnDeployLogCU>;
    POD_ID: FieldUtil<CnDeployLogCU>;
    POD_IP: FieldUtil<CnDeployLogCU>;
    PVC_ID: FieldUtil<CnDeployLogCU>;
    PVC_STATUS: FieldUtil<CnDeployLogCU>;
    START_TIME: FieldUtil<CnDeployLogCU>;
    DELETED: FieldUtil<CnDeployLogCU>;
    CREATE_USER_ID: FieldUtil<CnDeployLogCU>;
    CREATE_TIME: FieldUtil<CnDeployLogCU>;
    UPDATE_USER_ID: FieldUtil<CnDeployLogCU>;
    UPDATE_TIME: FieldUtil<CnDeployLogCU>;
    DEPLOY_ID: FieldUtil<CnDeployLogCU>;
}
declare class CnDeployLogMU extends TableUtilImpl<CnDeployLogCU, CnDeployLog> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): CnDeployLogCU;
    static get ID(): FieldUtil<CnDeployLogCU>;
    static get K8S_ID(): FieldUtil<CnDeployLogCU>;
    static get POD_ID(): FieldUtil<CnDeployLogCU>;
    static get POD_IP(): FieldUtil<CnDeployLogCU>;
    static get PVC_ID(): FieldUtil<CnDeployLogCU>;
    static get PVC_STATUS(): FieldUtil<CnDeployLogCU>;
    static get START_TIME(): FieldUtil<CnDeployLogCU>;
    static get DELETED(): FieldUtil<CnDeployLogCU>;
    static get CREATE_USER_ID(): FieldUtil<CnDeployLogCU>;
    static get CREATE_TIME(): FieldUtil<CnDeployLogCU>;
    static get UPDATE_USER_ID(): FieldUtil<CnDeployLogCU>;
    static get UPDATE_TIME(): FieldUtil<CnDeployLogCU>;
    static get DEPLOY_ID(): FieldUtil<CnDeployLogCU>;
    get ID(): FieldUtil<CnDeployLogCU>;
    get K8S_ID(): FieldUtil<CnDeployLogCU>;
    get POD_ID(): FieldUtil<CnDeployLogCU>;
    get POD_IP(): FieldUtil<CnDeployLogCU>;
    get PVC_ID(): FieldUtil<CnDeployLogCU>;
    get PVC_STATUS(): FieldUtil<CnDeployLogCU>;
    get START_TIME(): FieldUtil<CnDeployLogCU>;
    get DELETED(): FieldUtil<CnDeployLogCU>;
    get CREATE_USER_ID(): FieldUtil<CnDeployLogCU>;
    get CREATE_TIME(): FieldUtil<CnDeployLogCU>;
    get UPDATE_USER_ID(): FieldUtil<CnDeployLogCU>;
    get UPDATE_TIME(): FieldUtil<CnDeployLogCU>;
    get DEPLOY_ID(): FieldUtil<CnDeployLogCU>;
}
export { CnDeployLogMU, CnDeployLogCU };
